import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-08 15:49
 */
export interface Park {
    /**
    * 车场编码
    * @type { string }
    */
    lotcode?: string;
    /**
    * 车场名称
    * @type { string }
    */
    lotname?: string;
    /**
    * 车场所在的数据库id，关联t_database中的id
    * @type { number }
    */
    databaseid?: number;
    /**
    *
    * @type { Date }
    */
    updatetime?: Date;
    /**
    * 车场总车位数
    * @type { number }
    */
    totallots?: number;
    /**
    * 剩余车位数
    * @type { number }
    */
    usedlots?: number;
    /**
    * 省份
    * @type { string }
    */
    province?: string;
    /**
    * 城市
    * @type { string }
    */
    city?: string;
    /**
    * 区/县
    * @type { string }
    */
    region?: string;
    /**
    * 地址
    * @type { string }
    */
    address?: string;
    /**
    * 车场性质，由BI及速停车维护
    * @type { string }
    */
    lottype?: string;
    /**
    * 高德经度
    * @type { string }
    */
    longitude?: string;
    /**
    * 高德纬度
    * @type { string }
    */
    latitude?: string;
    /**
    * 合同号
    * @type { string }
    */
    contractno?: string;
    /**
    * 是否删除，0未删除，1已删除
    * @type { boolean }
    */
    isdelete?: boolean;
    /**
    * 是否速泊车场，0否1是
    * @type { any }
    */
    issuperpark?: any;
    /**
    * 创建时间
    * @type { Date }
    */
    createtime?: Date;
    /**
    * 设备id
    * @type { string }
    */
    deviceid?: string;
    /**
    * 绑定时间
    * @type { Date }
    */
    bindtime?: Date;
    /**
    * 绑定操作人姓名
    * @type { string }
    */
    bindopname?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 是否与速停车同步成功，0否1是
    * @type { any }
    */
    hassyncsuccess?: any;
    /**
    * 更新时间
    * @type { Date }
    */
    synctime?: Date;
    /**
    * 数据库当前版本号
    * @type { string }
    */
    dbversion?: string;
    /**
    * 服务时间
    * @type { Date }
    */
    servicedate?: Date;
    /**
    * 是否无人值守
    * @type { any }
    */
    isunattend?: any;
    /**
    * 车场状态0注销1启用2调试中
    * @type { number }
    */
    status?: number;
    /**
    * 无人值守配置同步时间
    * @type { Date }
    */
    unattendsynctime?: Date;
    /**
    * 运维中心配置同步时间
    * @type { Date }
    */
    opssynctime?: Date;
    /**
    * 迁移时间
    * @type { Date }
    */
    migratetime?: Date;
    /**
    * 0不允许多个车场服务；其他值：允许车场服务的个数，对应t_lotpark_dist中允许绑定的最大设备记录数
    * @type { number }
    */
    distnumber?: number;
}
export declare class ParkMI {
    static get LOTCODE(): FieldInfo;
    static get LOTNAME(): FieldInfo;
    static get DATABASEID(): FieldInfo;
    static get UPDATETIME(): FieldInfo;
    static get TOTALLOTS(): FieldInfo;
    static get USEDLOTS(): FieldInfo;
    static get PROVINCE(): FieldInfo;
    static get CITY(): FieldInfo;
    static get REGION(): FieldInfo;
    static get ADDRESS(): FieldInfo;
    static get LOTTYPE(): FieldInfo;
    static get LONGITUDE(): FieldInfo;
    static get LATITUDE(): FieldInfo;
    static get CONTRACTNO(): FieldInfo;
    static get ISDELETE(): FieldInfo;
    static get ISSUPERPARK(): FieldInfo;
    static get CREATETIME(): FieldInfo;
    static get DEVICEID(): FieldInfo;
    static get BINDTIME(): FieldInfo;
    static get BINDOPNAME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get HASSYNCSUCCESS(): FieldInfo;
    static get SYNCTIME(): FieldInfo;
    static get DBVERSION(): FieldInfo;
    static get SERVICEDATE(): FieldInfo;
    static get ISUNATTEND(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get UNATTENDSYNCTIME(): FieldInfo;
    static get OPSSYNCTIME(): FieldInfo;
    static get MIGRATETIME(): FieldInfo;
    static get DISTNUMBER(): FieldInfo;
}
